/**
* DBServletWR.java
* @Autore: Cesare Gerbino
* @Data creazione: 26/12/2001
* @Versione: 1.0
*
* Classe che implementa un servlet che permette di scrivere e leggere un data base.
* L'interrogazione avviene immetendo nel text box un nome: la risposta sar 
* l'insieme dei record che nella base dati hano il testo inserito nel campo "nome".
* Se si desidera avere tutti record occorre usare il carattere '*' 
* La scrittura di un nuovo record nel db avviene tramite una form in cui si devono
* compilare i textbox destinati a contenere i nuovi valori
*
*/

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class DBServletWR extends HttpServlet
 {
  DBManagerWR dbm;
  String key;
  String value;
  
  public void init(ServletConfig config) throws ServletException
   {
    super.init(config);	
    dbm = new DBManagerWR();
   }
   
  public void service (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
   {
    boolean query;
    String valueNome = null;
    String valueCognome = null;
    String valueEmail = null;

    res.setContentType("text/html");
    res.setHeader("Pragma","no-cache");
    
    ServletOutputStream out = res.getOutputStream();	
    dbm.setOutput(out);
    String SqlString = null;
    
    query = false;
    Enumeration parametri = req.getParameterNames();
    while (parametri.hasMoreElements())
     {
      key = (String)parametri.nextElement();
      value = req.getParameter(key);
      if (key.equals("query"))
       {
       	query = true;
        if (value.equals("*"))
         SqlString = "SELECT * FROM TAB1";
        else
         SqlString = "SELECT * FROM TAB1 WHERE nome='" + value + "'";
        System.out.println(SqlString);
        dbm.executeQuery(SqlString);       	
       }
      else if (key.equals("nome"))
       valueNome = value;
      else if (key.equals("cognome"))
       valueCognome = value;
      else if (key.equals("email"))
       valueEmail = value;
     }
    if (! query)
     {
      SqlString	= "INSERT into TAB1 (nome, cognome, email) VALUES ('" + valueNome + "','" + valueCognome + "','" + valueEmail + "')";
      dbm.executeUpdate(SqlString);
     }    
   }

  public void destroy() 
   {
    dbm.closeConnection();
   }

  public String getServletInfo() 
   {
    return "Servet DBServletWR per la scrittura (W) e lettura (R) da un data base";
   }
 }




 